public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/async-lru/
Date: Sat,  8 Jul 2023 07:30:14 +0000 (UTC)	[thread overview]
Message-ID: <1688801401.3b4e76fc0bdac69242acc47ff2676d440677fafc.mgorny@gentoo> (raw)

commit:     3b4e76fc0bdac69242acc47ff2676d440677fafc
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jul  8 06:07:42 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jul  8 07:30:01 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3b4e76fc

dev-python/async-lru: Bump to 2.0.3

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/async-lru/Manifest               |  1 +
 dev-python/async-lru/async-lru-2.0.3.ebuild | 44 +++++++++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/async-lru/Manifest b/dev-python/async-lru/Manifest
index 3c984ce3739c..644ed242d9eb 100644
--- a/dev-python/async-lru/Manifest
+++ b/dev-python/async-lru/Manifest
@@ -1 +1,2 @@
 DIST async-lru-2.0.2.gh.tar.gz 11040 BLAKE2B dc1dfb12189cdcf8283b77d2b451031e691b1fd833e34df450ce87fd496b57d5a04a7f6ca183bb07d7e820f68cafade44237e626e3694d732df40dbf38f22baf SHA512 ce1f9f241200dd05d44196f06e688c2852fbe1bb2356f5611dbc9ac8109e1313ecdcccbba70944e936aa6bc59864d9cc339daaa58416ec0850f3b2afd17123d3
+DIST async-lru-2.0.3.gh.tar.gz 12592 BLAKE2B 3b434ebcb5f4db754ca93dae3e597490b07ce6d84d573529343a540b77fc9116f329f641fb97639dce6903384e52433dc48aabb7927266e8bcc18ce9fbaa85ac SHA512 8a3685bccb09ae268a713b3796f1f945bc9f9beff14530eb997722c6a0546bb39860492eadc1a46fca6ed549352e20cd9983396127ee9edfbd50657b5e5dd58f

diff --git a/dev-python/async-lru/async-lru-2.0.3.ebuild b/dev-python/async-lru/async-lru-2.0.3.ebuild
new file mode 100644
index 000000000000..ad3398fd3cb0
--- /dev/null
+++ b/dev-python/async-lru/async-lru-2.0.3.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Simple lru_cache for asyncio"
+HOMEPAGE="
+	https://github.com/aio-libs/async-lru/
+	https://pypi.org/project/async-lru/
+"
+SRC_URI="
+	https://github.com/aio-libs/async-lru/archive/v${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+	$(python_gen_cond_dep '
+		>=dev-python/typing-extensions-4.0.0[${PYTHON_USEDEP}]
+	' 3.10)
+"
+BDEPEND="
+	test? (
+		dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	sed -e 's:--cache-clear::' \
+		-e 's:--no-cov-on-fail --cov=async_lru --cov-report=term --cov-report=html::' \
+		-i setup.cfg || die
+
+	distutils-r1_src_prepare
+}


             reply	other threads:[~2023-07-08  7:30 UTC|newest]

Thread overview: 24+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-07-08  7:30 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-05-17 14:26 [gentoo-commits] repo/gentoo:master commit in: dev-python/async-lru/ Michał Górny
2023-10-13 15:27 Arthur Zamarin
2023-10-13 14:47 Arthur Zamarin
2023-10-06 17:47 Arthur Zamarin
2023-10-06 17:44 Arthur Zamarin
2023-10-06 14:52 Sam James
2023-09-30  5:34 Michał Górny
2023-08-14 17:57 Jakov Smolić
2023-08-13 16:10 Arthur Zamarin
2023-08-13 16:08 Arthur Zamarin
2023-07-28  5:32 Michał Górny
2023-07-24 11:30 Michał Górny
2023-05-26 20:26 Arthur Zamarin
2023-02-21  7:41 Michał Górny
2023-02-20 15:22 Michał Górny
2023-02-20  6:24 Michał Górny
2022-05-16 12:55 Michał Górny
2022-05-12 19:09 Arthur Zamarin
2022-05-07  9:35 Michał Górny
2021-09-11  5:13 Arthur Zamarin
2021-01-31 20:04 Michał Górny
2021-01-31 19:12 Michał Górny
2021-01-31 18:31 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1688801401.3b4e76fc0bdac69242acc47ff2676d440677fafc.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox